using System;
using System.Collections.Generic;
using System.Text;
using System.Text.Json.Serialization;

namespace GMCabsDriverAssistant.Models
{
    public class ShiftResponseDto
    {
        [JsonPropertyName("userID")]
        public int UserID { get; set; }

        [JsonPropertyName("startDate")]
        public DateTime? StartDate { get; set; }

        [JsonPropertyName("endDate")]
        public DateTime? EndDate { get; set; }
        
        [JsonPropertyName("networkVehicleID")]
        public int NetworkVehicleID { get; set; }

        [JsonPropertyName("carNumber")]
        public string CarNumber { get; set; }

        [JsonPropertyName("imei")]
        public string Imei { get; set; }

        [JsonPropertyName("startSuburb")]
        public string StartSuburb { get; set; }

        [JsonPropertyName("endSuburb")]
        public string EndSuburb { get; set; }        
    }
}
